Bug 36797 - Can't require state/province for foreign orders
Can't require state/province for foreign orders
Product: Red Hat Web Site
Classification: Red Hat
Component: New Store (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Cameron Prince
Depends On:
  Show dependency treegraph
Reported: 2001-04-20 08:33 EDT by Jay Turner
Modified: 2015-01-07 18:45 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-05-01 13:56:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jay Turner 2001-04-20 08:33:12 EDT
Place an order on http://cprince.devel.webdevel.redhat.com/cgi-bin/store
and indicate that you would like to ship the product outside of the US. 
State/province is still required by the site, even though in most cases it
is not required/doesn't exist for many countries.  The existing store gave
the user the opportunity to indicate the state/province as "Outside the
US/Canada" and we need to add similiar functionality to the new store.
Comment 1 Jason Kohles 2001-04-25 11:39:17 EDT
Fixed, State/Province is now an optional field if country is not US or Canada.
Comment 2 Jay Turner 2001-05-01 11:46:57 EDT
Now what I am getting on http://webdevel.redhat.com when I change the country to
"other" for shipping is that indeed the state field is no longer required, but I
still have the drop-down list of US states.  If the user selects "other" then
they should be presented with a free-text entry in order to enter state/province
information if they need/want to.
Comment 3 Jason Kohles 2001-05-01 13:56:55 EDT
If this was the billing address on the first page of the checkout process, then
it is now fixed (the billing state field was being affected by the main country
field rather than the billing country), if it was a different page, I need to
know what page it was.
Comment 4 Jay Turner 2001-05-01 16:53:30 EDT
This appears to be resolved on http://webdevel.redhat.com.  Closing out the bug.

Note You need to log in before you can comment on or make changes to this bug.